
Redmine - Defect #3397

Moving an issue as either admin or regular user triggers 'Internal error'

2009-05-20 15:31 - Uwe Dormann

Status: Closed Start date: 2009-05-20

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

When I try to move an issue between two projects the "Internal Error" page shows up.

According to the log files this looks like being triggered by a missing method.

I tried this usind the admin as well as regular manager account.

Application Environment:

Redmine version           0.8.4 stable

Ruby version              1.8.6 (i486-linux)

RubyGems version          1.3.3

Rails version             2.1.2

Active Record version     2.1.2

Action Pack version       2.1.2

Active Resource version   2.1.2

Action Mailer version     2.1.2

Active Support version    2.1.2

Application root          /opt/redmine

Environment               development

Database adapter          mysql

 Error Log:

Processing IssuesController#move (for 10.10.91.64 at 2009-05-20 15:13:46) [POST]

  Session ID: ec5c41e72cac68006ea28ef39bec8f8d

  Parameters: {"new_project_id"=>"10", "new_tracker_id"=>"", "commit"=>"Move", "ids"=>["121"], "ac

tion"=>"move"", "controller"=>"issues"}

NameError (undefined local variable or method `rollback_db_transaction' for #<Issue:0xb6f16ccc>):

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/attribute_methods.rb:256:in `

method_missin

    /app/models/issue.rb:96:in `move_to'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/connection_adapters/abstract/

database_stat:in `transaction'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/transactions.rb:79:in `transa

ction'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/transactions.rb:98:in `transa

ction'

    /app/models/issue.rb:75:in `move_to'

    /app/controllers/issues_controller.rb:284:in `move'

    /app/controllers/issues_controller.rb:282:in `each'

    /app/controllers/issues_controller.rb:282:in `move'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:1166:in `send'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:1166:in `perform_ac

tion_without_

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/filters.rb:579:in `call_fil

ters'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/filters.rb:572:in `perform_

action_withou

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/benchmarking.rb:68:in `perf

orm_action_wi'
    /usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/benchmarking.rb:68:in `perf

orm_action_wi'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/rescue.rb:201:in `perform_a

ction_without

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/caching/sql_cache.rb:13:in 

`perform_acti

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/connection_adapters/abstract/

query_cache.rhe'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/query_cache.rb:8:in `cache'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/caching/sql_cache.rb:12:in 

`perform_acti

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:529:in `send'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:529:in `process_wit

hout_filters'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/filters.rb:568:in `process_

without_sessit_support'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/session_management.rb:130:i

n `process'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:389:in `process'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:149:in `handl

e_request'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:107:in `dispa

tch'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:104:in `synch

ronize'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:104:in `dispa

tch'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:120:in `dispa

tch_cgi'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:35:in `dispat

ch'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/rails.rb:76:in `process'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/rails.rb:74:in `synchronize'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/rails.rb:74:in `process'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:159:in `process_client'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:158:in `each'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:158:in `process_client'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:285:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:285:in `initialize'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:285:in `new'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:285:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:268:in `initialize'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:268:in `new'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel.rb:268:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/configurator.rb:282:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/configurator.rb:281:in `each'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/configurator.rb:281:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/mongrel_rails:128:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/../lib/mongrel/command.rb:212:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.5/bin/mongrel_rails:281

    /usr/bin/mongrel_rails:19:in `load'

    /usr/bin/mongrel_rails:19

Rendering /opt/redmine/public/500.html (500 Internal Server Error)

History

#1 - 2009-05-20 16:58 - Uwe Dormann

- Status changed from New to Resolved

- % Done changed from 0 to 100

I figured out that only issues imported from bugzilla could not be moved.

Problem:

All issues imported from bugzilla did have the due_date set to 0000-00-00 rather than "Null"
Fix:

Set due_date for all issues with value 0000-00-00 to Null.

#2 - 2009-06-14 10:40 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Affected version (unused) deleted (0.8.4)

- Resolution set to Invalid

- Affected version deleted (0.8.4)

Thanks for the feedback.
